<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PlatformTarget>x64</PlatformTarget>
    <ApplicationIcon>notifyIcon.ico</ApplicationIcon>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Dels\**" />
    <EmbeddedResource Remove="Dels\**" />
    <None Remove="Dels\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="notifyIcon.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Grpc.Net.Client" Version="2.76.0" />
    <PackageReference Include="Grpc.Tools" Version="2.76.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="TurboJpegWrapper" Version="1.5.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Ayay.SerilogLogs\Ayay.SerilogLogs.csproj" />
    <ProjectReference Include="..\SHH.CameraSdk\SHH.CameraSdk.csproj" />
    <ProjectReference Include="..\SHH.Contracts.Grpc\SHH.Contracts.Grpc.csproj" />
  </ItemGroup>

</Project>
